GNU bug report logs - #50425
[PATCH] gnu: Add minetest-advtrains.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vivien Kraus <vivien@HIDDEN>; Keywords: patch; dated Mon, 6 Sep 2021 08:54:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 16 Sep 2021 08:03:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 04:03:45 2021
Received: from localhost ([127.0.0.1]:53738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQmMz-0001Tl-Es
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 04:03:45 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:55498
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mQmMw-0001TV-NB
 for 50425 <at> debbugs.gnu.org; Thu, 16 Sep 2021 04:03:43 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1631779413;
 bh=szg+/PiNBaqOqGKkKgIbT6KzFXqhh20JHHKZjyD/vxc=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=XUo9sYOUZz1JwLFzIlObVPwfpcIWqCAWWONt/TUAeU2dI02jGO/taLDwvkjYvYJFt
 GV1LD1IGpKOfuqqohficMvk74jDEmiZFg1+FNGe4lHl1ypHwNWnYlzX9FFmXBoHxHf
 jkqrcPIx9BSAvO8g/J5ZwFJhUwsIzCjrEllHM5R8=
To: Vivien Kraus <vivien@HIDDEN>, Maxime Devos
 <maximedevos@HIDDEN>, 50425 <at> debbugs.gnu.org
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
In-Reply-To: <f2ffd872759461a313a2449591830e19f90e565b.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
 <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
 <f43eb8064e9e5e06c29a87194faaf7e787ee9721.camel@HIDDEN>
 <e7485e6dbbafc68831f37ebd09062f85fd734896.camel@HIDDEN>
 <4e2998599854e1f51347800600c97bf840bf97ba.camel@HIDDEN>
 <f2ffd872759461a313a2449591830e19f90e565b.camel@HIDDEN>
Date: Thu, 16 Sep 2021 10:03:27 +0200
Message-ID: <87y27xq75c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Fri, Sep 10 2021, Vivien Kraus via Guix-patches via wrote:
    > Hello Maxime, > > Le vendredi 10 septembre 2021 à 12:25 +0200, Maxime
   Devos a écrit : >> minetest-advtrains and minetest-basic-trains are separate
    packages >> that >> can be added separately, so t [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Fri, Sep 10 2021, Vivien Kraus via Guix-patches via wrote:
    > Hello Maxime, > > Le vendredi 10 septembre 2021 à 12:25 +0200, Maxime
   Devos a écrit : >> minetest-advtrains and minetest-basic-trains are separate
    packages >> that >> can be added separately, so t [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: git.bananach.space (space)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Fri, Sep 10 2021, Vivien Kraus via Guix-patches via wrote:

> Hello Maxime,
>
> Le vendredi 10 septembre 2021 =C3=A0 12:25 +0200, Maxime Devos a =C3=A9cr=
it :
>> minetest-advtrains and minetest-basic-trains are separate packages
>> that
>> can be added separately, so theoretically, they should be added in
>> separate
>> patches:
> It seems like the least surprising thing to do, so let=E2=80=99s go with =
the
> split patch.
>
>> Maybe replace =E2=80=98realistic trains=E2=80=99 -> =E2=80=98realistic t=
rain system=E2=80=99,
> I=E2=80=99m not sure. Upstream really likes to use "train" as a general t=
erm,
> like in share/minetest/mods/advtrains/modpack.conf, the official
> description, the wiki, ... so I think it=E2=80=99s better to use that.
>
>> and note that minetest-basic-trains contains the actual train models.
> This sentence was missing, and I added it.
>
>> I think a linter will have something to say about long lines here
>> (try "./pre-inst-env guix lint minetest-advtrains minetest-basic-
>> trains").
> You=E2=80=99re right, I fixed the long lines and other warnings. However,=
 I
> don=E2=80=99t know how to fix "no updater for minetest-xxx" for both mine=
test-
> advtrains and minetest-basic-trains. I can=E2=80=99t see a meaningful
> difference between my packages and the others.
>
> Vivien
> From fbe39d93acb01fbef9f7f497e9bb5814fdf3f6b5 Mon Sep 17 00:00:00 2001
> From: Vivien Kraus <vivien@HIDDEN>
> Date: Fri, 10 Sep 2021 14:21:47 +0200
> Subject: [PATCH 4/4] gnu: add minetest-basic-trains
>
> * gnu/packages/minetest.scm (minetest-basic-trains): New variable.
> ---
>  gnu/packages/minetest.scm | 32 ++++++++++++++++++++++++++++++++
>  1 file changed, 32 insertions(+)
>
> diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
> index 0b0e7ace96..c218fb827f 100644
> --- a/gnu/packages/minetest.scm
> +++ b/gnu/packages/minetest.scm
> @@ -668,3 +668,35 @@ stopping before signals.
>       (list license:cc-by-sa3.0 license:agpl3+))
>      (properties
>       `((upstream-name . "orwell/advtrains")))))
> +
> +(define-public minetest-basic-trains
> +  (package
> +    (name "minetest-basic-trains")
> +    (version "1.0.1")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "http://git.bananach.space/basic_trains.git/")
> +             (commit
> +              "d44c410f7c2a7202ee68b66fc50febae89e0c5dc")))
> +       (sha256
> +        (base32
> +         "0vvzndj48kgdz2bfgivfm217sbmc2lmxpp2mispcy7byn4i26prx"))
> +       (file-name (git-file-name name version))))
> +    (build-system minetest-mod-build-system)
> +    (propagated-inputs
> +     `(("minetest-advtrains" ,minetest-advtrains)))
> +    (home-page
> +     "http://advtrains.de/wiki/doku.php?id=3Dusage:trains:basic_trains")
> +    (synopsis
> +     "\
> +Collection of basic trains for the Advanced Trains mod")
> +    (description
> +     "\
> +This modpack contains the trains which were the \"default\" trains in
> +advtrains up to version 2.2.1.")

I would use ``default'', which is the correct Texinfo syntax,
instead of "default".  See the Texinfo manual for more details:

  <https://www.gnu.org/software/texinfo/manual/texinfo/html_node/Inserting-=
Quotation-Marks.html>

> +    (license
> +     (list license:cc-by-sa3.0 license:agpl3+))
> +    (properties
> +     `((upstream-name . "orwell/basic_trains")))))
> --=20
> 2.33.0
>
> From 9675601acba125905877f30b5bc47053db3b652d Mon Sep 17 00:00:00 2001
> From: Vivien Kraus <vivien@HIDDEN>
> Date: Sun, 5 Sep 2021 15:21:35 +0200
> Subject: [PATCH 3/4] gnu: add minetest-advtrains
>
> * gnu/packages/minetest.scm (minetest-advtrains): New variable.
> ---
>  gnu/packages/minetest.scm | 44 +++++++++++++++++++++++++++++++++++++++
>  1 file changed, 44 insertions(+)
>
> diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
> index 9e48d5c69c..0b0e7ace96 100644
> --- a/gnu/packages/minetest.scm
> +++ b/gnu/packages/minetest.scm
> @@ -624,3 +624,47 @@ track of important locations.")
>                     license:cc-by4.0 license:cc-by-sa3.0 license:public-d=
omain
>                     license:cc0 license:fdl1.2+))
>      (properties `((upstream-name . "RealBadAngel/unified_inventory")))))
> +
> +(define-public minetest-advtrains
> +  (package
> +    (name "minetest-advtrains")
> +    (version "2.3.1")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://git.bananach.space/advtrains.git")
> +             (commit "release-2.3.1")))

This would preferably be (commit (string-append "release-" version)),
that means that you only have to update the =E2=80=98version=E2=80=99 field=
 and the hash
when updating the package (assuming it doesn=E2=80=99t need additional
dependencies or change build system, etc.).

Otherwise, LGTM!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmFC+k8VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5lHEP/j+anO+qMszBNGigpi86eKwLB5x4
B4bC4mqSv0jx8BRgq4OZjGh4WRaTiGGj5KiDrl5I6j9os3i0RBlyMfCFQKKFRG9j
YVDBenA4B8pInV3Ab2qIdtzO4AvuisGnT1fRq9hls7+vUrDiDMajnXMNer+izvmJ
5cklsISu+z9ACzNOnlajDJ3CTL+VqdopqQPYLrTfTGn9KQBgv/JuuSCNsjjqL1y1
Ah0fbSMZEo1PC+X3Y9GSShjsuHw9j+O6eAjQoyuVbnXZP2WlPDoGyOpsmDgGqTZr
PIWMssSIsIYivYNtPezyxK8u9uOs3QY5z6LAiA1cJ5ZKY7qV6vsfJkypQNle6ZBB
ags+c6C0L9bI5V4Y3upn78mtsPBDX2mkAh11A23q1PVae9vMbCHq3b+RhkZe78rK
FWdvnC4TfTTSEFYKghaJlH2VeMB84DOP6eNw5AQ4XIOrGb5c3CLfFeOBkhlu32HP
rQb1qgXoH/F7greZ8PZLXJSlYSau8LOeENtnN3zc+cAVejT1frW3b51yluVaPKmI
a+KMBv9TQGC+4K6KKupPr7WGkfv34ut7GPTK90MbXLtCCHCkllo7Ob6DNgxEY5/H
qbMfrzxXaLd1m0O4IdYMHFertJcCKwPPbWPC9xVsGqNK4wKkGPGwKOqHTkJeuakK
2t7+LUQkuOVNfWmf
=n9w7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 10 Sep 2021 16:26:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 12:26:47 2021
Received: from localhost ([127.0.0.1]:39087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOjMV-0005km-3X
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:26:47 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:45792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mOjMS-0005kX-Kf
 for 50425 <at> debbugs.gnu.org; Fri, 10 Sep 2021 12:26:45 -0400
Received: from [172.20.10.4] ([188.189.169.182])
 by albert.telenet-ops.be with bizsmtp
 id sGSh250043wTrX806GSiJo; Fri, 10 Sep 2021 18:26:42 +0200
Message-ID: <021827be5ea5e4b1fe74555830d34c5b568a46c8.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Maxime Devos <maximedevos@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Fri, 10 Sep 2021 18:26:35 +0200
In-Reply-To: <f2ffd872759461a313a2449591830e19f90e565b.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
 <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
 <f43eb8064e9e5e06c29a87194faaf7e787ee9721.camel@HIDDEN>
 <e7485e6dbbafc68831f37ebd09062f85fd734896.camel@HIDDEN>
 <4e2998599854e1f51347800600c97bf840bf97ba.camel@HIDDEN>
 <f2ffd872759461a313a2449591830e19f90e565b.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-ZbmxYnw0Bu5ILiefrJBI"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1631291203; bh=3lm9D52ew8LABT+j/moYfrdcV1Q5VDZ6nnkpVI5rIv4=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=GmlGJ2BdtbZLU6TlKPWRtxh4UshVau02EhiQBAMJxnN/LW6H7mLv6ZrOE10D38gZB
 uYxElSTHOHFlh8fXEyqJrXTBc4OhOu/Peu37HLIjGpiQVm0hYzJVoJf0R22v38I6V3
 v4DiXv/8jrqDbgrPN+6k4o8DKC3u7+8h+r8uGaUfbzQgF3o0rryvZdhI1zg0NTQPn+
 0AF5Jfb0kXpX04T+Zs4bBJvbZ1opLbLtFzYowqHtq6HU8hGHnxa3uiU6MA8UhiH8ss
 8oYo/FwDULZ6NbMMwAj3wftgaC+JSGckxFfF7RFD5dV6xg3yX+Nnwk4wMARVk3M+5U
 qGyWKH8h/B+pA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-ZbmxYnw0Bu5ILiefrJBI
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,

Vivien Kraus schreef op vr 10-09-2021 om 14:46 [+0200]:
> > Maybe replace =E2=80=98realistic trains=E2=80=99 -> =E2=80=98realistic =
train system=E2=80=99,
> I=E2=80=99m not sure. Upstream really likes to use "train" as a general t=
erm,
> like in share/minetest/mods/advtrains/modpack.conf, the official
> description, the wiki, ... so I think it=E2=80=99s better to use that.
>=20
Ok.

> > I think a linter will have something to say about long lines here
> > (try "./pre-inst-env guix lint minetest-advtrains minetest-basic-
> > trains").
> You=E2=80=99re right, I fixed the long lines and other warnings. However,=
 I
> don=E2=80=99t know how to fix "no updater for minetest-xxx" for both mine=
test-
> advtrains and minetest-basic-trains. I can=E2=80=99t see a meaningful
> difference between my packages and the others.

There is no updater for mods from ContentDB at the moment, so this is
expected.  There's a patch series for allowing updating git-fetch
origins: <https://issues.guix.gnu.org/50072#0>.  Once (the final version of=
)
that patch series is merged, it should be feasible to add an updater
for mods from ContentDB.

Greetings,
Maxime.

--=-ZbmxYnw0Bu5ILiefrJBI
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYTuHOxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7jCPAQD9J42wJTixobjEoTYZshmEJSR8
7dN+50NLW2C37Wse7AEAxjEJfjgMxSEA8A1M+cqsTEvtKeR763BltFrpgFUBeAI=
=mZoa
-----END PGP SIGNATURE-----

--=-ZbmxYnw0Bu5ILiefrJBI--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 10 Sep 2021 12:46:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 08:46:48 2021
Received: from localhost ([127.0.0.1]:37193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOfvb-0005sD-Mp
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 08:46:48 -0400
Received: from planete-kraus.eu ([89.234.140.182]:47740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1mOfvZ-0005s4-PH
 for 50425 <at> debbugs.gnu.org; Fri, 10 Sep 2021 08:46:47 -0400
Received: from planete-kraus.eu (localhost.lan [127.0.0.1])
 by planete-kraus.eu (OpenSMTPD) with ESMTP id 18c8d662;
 Fri, 10 Sep 2021 12:46:43 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=planete-kraus.eu; h=
 message-id:subject:from:to:date:in-reply-to:references
 :content-type:mime-version; s=*; bh=nSNzG7UCTR48flEgVtZNfAQIPQI=; b=
 ucnNOCo9bIkK8tIKX792XMNFbB0Co6I0nLMbrdCWdcSh67h+3gc9xA8QRdzJevEg
 SgQYp3Fz62AH0DSbTkau9y9VAEzOxpDbiUZ1ULMIUWMJD25HfocKZPk/UMfRmLxi
 0/9Mc6DF3+sNQLl6XjdY2/vEcQDX2wB9B8Kw+/urJwE=
Received: by planete-kraus.eu (OpenSMTPD) with ESMTPSA id 00c1e843
 (TLSv1.3:AEAD-CHACHA20-POLY1305-SHA256:256:NO); 
 Fri, 10 Sep 2021 12:46:41 +0000 (UTC)
Message-ID: <f2ffd872759461a313a2449591830e19f90e565b.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Vivien Kraus <vivien@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Fri, 10 Sep 2021 14:46:39 +0200
In-Reply-To: <4e2998599854e1f51347800600c97bf840bf97ba.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
 <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
 <f43eb8064e9e5e06c29a87194faaf7e787ee9721.camel@HIDDEN>
 <e7485e6dbbafc68831f37ebd09062f85fd734896.camel@HIDDEN>
 <4e2998599854e1f51347800600c97bf840bf97ba.camel@HIDDEN>
Content-Type: multipart/mixed; boundary="=-YmFXkeVTxN94uCZS0rtc"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Maxime, Le vendredi 10 septembre 2021 à 12:25 +0200,
    Maxime Devos a écrit : > minetest-advtrains and minetest-basic-trains are
    separate packages > that > can be added separately, so theoretically, they
    shou [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: git.bananach.space (space)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-YmFXkeVTxN94uCZS0rtc
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Hello Maxime,

Le vendredi 10 septembre 2021 à 12:25 +0200, Maxime Devos a écrit :
> minetest-advtrains and minetest-basic-trains are separate packages
> that
> can be added separately, so theoretically, they should be added in
> separate
> patches:
It seems like the least surprising thing to do, so let’s go with the
split patch.

> Maybe replace ‘realistic trains’ -> ‘realistic train system’,
I’m not sure. Upstream really likes to use "train" as a general term,
like in share/minetest/mods/advtrains/modpack.conf, the official
description, the wiki, ... so I think it’s better to use that.

> and note that minetest-basic-trains contains the actual train models.
This sentence was missing, and I added it.

> I think a linter will have something to say about long lines here
> (try "./pre-inst-env guix lint minetest-advtrains minetest-basic-
> trains").
You’re right, I fixed the long lines and other warnings. However, I
don’t know how to fix "no updater for minetest-xxx" for both minetest-
advtrains and minetest-basic-trains. I can’t see a meaningful
difference between my packages and the others.

Vivien

--=-YmFXkeVTxN94uCZS0rtc
Content-Disposition: attachment; filename="0004-gnu-add-minetest-basic-trains.patch"
Content-Type: text/x-patch; name="0004-gnu-add-minetest-basic-trains.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-YmFXkeVTxN94uCZS0rtc
Content-Disposition: attachment; filename="0003-gnu-add-minetest-advtrains.patch"
Content-Type: text/x-patch; name="0003-gnu-add-minetest-advtrains.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSA5Njc1NjAxYWNiYTEyNTkwNTg3N2YzMGI1YmM0NzA1M2RiM2I2NTJkIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBWaXZpZW4gS3JhdXMgPHZpdmllbkBwbGFuZXRlLWtyYXVzLmV1
PgpEYXRlOiBTdW4sIDUgU2VwIDIwMjEgMTU6MjE6MzUgKzAyMDAKU3ViamVjdDogW1BBVENIIDMv
NF0gZ251OiBhZGQgbWluZXRlc3QtYWR2dHJhaW5zCgoqIGdudS9wYWNrYWdlcy9taW5ldGVzdC5z
Y20gKG1pbmV0ZXN0LWFkdnRyYWlucyk6IE5ldyB2YXJpYWJsZS4KLS0tCiBnbnUvcGFja2FnZXMv
bWluZXRlc3Quc2NtIHwgNDQgKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysr
CiAxIGZpbGUgY2hhbmdlZCwgNDQgaW5zZXJ0aW9ucygrKQoKZGlmZiAtLWdpdCBhL2dudS9wYWNr
YWdlcy9taW5ldGVzdC5zY20gYi9nbnUvcGFja2FnZXMvbWluZXRlc3Quc2NtCmluZGV4IDllNDhk
NWM2OWMuLjBiMGU3YWNlOTYgMTAwNjQ0Ci0tLSBhL2dudS9wYWNrYWdlcy9taW5ldGVzdC5zY20K
KysrIGIvZ251L3BhY2thZ2VzL21pbmV0ZXN0LnNjbQpAQCAtNjI0LDMgKzYyNCw0NyBAQCB0cmFj
ayBvZiBpbXBvcnRhbnQgbG9jYXRpb25zLiIpCiAgICAgICAgICAgICAgICAgICAgbGljZW5zZTpj
Yy1ieTQuMCBsaWNlbnNlOmNjLWJ5LXNhMy4wIGxpY2Vuc2U6cHVibGljLWRvbWFpbgogICAgICAg
ICAgICAgICAgICAgIGxpY2Vuc2U6Y2MwIGxpY2Vuc2U6ZmRsMS4yKykpCiAgICAgKHByb3BlcnRp
ZXMgYCgodXBzdHJlYW0tbmFtZSAuICJSZWFsQmFkQW5nZWwvdW5pZmllZF9pbnZlbnRvcnkiKSkp
KSkKKworKGRlZmluZS1wdWJsaWMgbWluZXRlc3QtYWR2dHJhaW5zCisgIChwYWNrYWdlCisgICAg
KG5hbWUgIm1pbmV0ZXN0LWFkdnRyYWlucyIpCisgICAgKHZlcnNpb24gIjIuMy4xIikKKyAgICAo
c291cmNlCisgICAgIChvcmlnaW4KKyAgICAgICAobWV0aG9kIGdpdC1mZXRjaCkKKyAgICAgICAo
dXJpIChnaXQtcmVmZXJlbmNlCisgICAgICAgICAgICAgKHVybCAiaHR0cHM6Ly9naXQuYmFuYW5h
Y2guc3BhY2UvYWR2dHJhaW5zLmdpdCIpCisgICAgICAgICAgICAgKGNvbW1pdCAicmVsZWFzZS0y
LjMuMSIpKSkKKyAgICAgICAoc2hhMjU2CisgICAgICAgIChiYXNlMzIgIjFpanFsY2hoMjY5anB2
bWdtZG1kdnkzbnNuazBic3prdnZjcWs2dmF5c3Z4YW02OTVnZ3ciKSkKKyAgICAgICAoZmlsZS1u
YW1lIChnaXQtZmlsZS1uYW1lIG5hbWUgdmVyc2lvbikpKSkKKyAgICAoYnVpbGQtc3lzdGVtIG1p
bmV0ZXN0LW1vZC1idWlsZC1zeXN0ZW0pCisgICAgKGhvbWUtcGFnZSAiaHR0cDovL2FkdnRyYWlu
cy5kZS8iKQorICAgIChzeW5vcHNpcworICAgICAiQWRkcyBnb29kLWxvb2tpbmcsIHJlYWxpc3Rp
YyB0cmFpbnMgd2l0aCByZWFsaXN0aWMgcmFpbHMiKQorICAgIChkZXNjcmlwdGlvbgorICAgICAi
XAorVGhpcyBtb2QgZmVhdHVyZXMgcmVhbGlzdGljIHRyYWlucyBhbmQgdmFyaW91cyBlcXVpcG1l
bnQgZm9yIHJhaWx3YXlzLCB3aXRoIGEKK2ZvY3VzIG9uIGF1dG9tYXRlZCB0cmFpbiBvcGVyYXRp
b24uICBUaGlzIHBhY2thZ2UgY29udGFpbnMgbm8gYWN0dWFsIHRyYWlucywKK3BsZWFzZSB1c2Ug
bWluZXRlc3QtYmFzaWMtdHJhaW5zLgorCitNYWluIGZlYXR1cmVzOgorCitAaXRlbWl6ZQorQGl0
ZW0KK2FsbW9zdC1yZWFsaXN0aWMgdHJhY2tzIHdpdGggYWN0dWFsIGN1cnZlcyBhbmQgc3dpdGNo
ZXM7CitAaXRlbQorcmFpbHdheSBzaWduYWxzLCBjb250cm9sbGFibGUgYnkgdmFyaW91cyBtZWFu
czsKK0BpdGVtCitBVEM6IHNpbXBsZSwgY29tbWFuZC1saWtlIGF1dG9tYXRpYyB0cmFpbiBjb250
cm9sOworQGl0ZW0KK0x1YUFUQzogUG93ZXJmdWwgTHVhLXNjcmlwdGVkIGF1dG9tYXRpYyB0cmFp
biBvcGVyYXRpb24gKHJlcXVpcmVzIHNvbWUKK3Byb2dyYW1taW5nIGtub3dsZWRnZSk7CitAaXRl
bQorYW4gaW50ZXJsb2NraW5nIHN5c3RlbSwgZmVhdHVyaW5nIHRyYWNrIHNlY3Rpb25zLCByb3V0
ZXMgYW5kIGF1dG9tYXRpYworc3RvcHBpbmcgYmVmb3JlIHNpZ25hbHMuCitAZW5kIGl0ZW1pemUi
KQorICAgIChsaWNlbnNlCisgICAgIChsaXN0IGxpY2Vuc2U6Y2MtYnktc2EzLjAgbGljZW5zZTph
Z3BsMyspKQorICAgIChwcm9wZXJ0aWVzCisgICAgIGAoKHVwc3RyZWFtLW5hbWUgLiAib3J3ZWxs
L2FkdnRyYWlucyIpKSkpKQotLSAKMi4zMy4wCgo=


--=-YmFXkeVTxN94uCZS0rtc
Content-Disposition: attachment; filename="0002-gnu-minetest-mesecons-Fix-indentation.patch"
Content-Type: text/x-patch; name="0002-gnu-minetest-mesecons-Fix-indentation.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-YmFXkeVTxN94uCZS0rtc
Content-Disposition: attachment; filename="0001-gnu-minetest-data-Fix-indentation.patch"
Content-Type: text/x-patch; name="0001-gnu-minetest-data-Fix-indentation.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-YmFXkeVTxN94uCZS0rtc--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 10 Sep 2021 10:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 06:25:46 2021
Received: from localhost ([127.0.0.1]:36922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOdj8-0007z9-0k
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 06:25:46 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:34806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mOdj5-0007yx-1y
 for 50425 <at> debbugs.gnu.org; Fri, 10 Sep 2021 06:25:44 -0400
Received: from butterfly.local ([213.251.110.34])
 by andre.telenet-ops.be with bizsmtp
 id sARc2500U0kaXst01ARfdm; Fri, 10 Sep 2021 12:25:41 +0200
Message-ID: <4e2998599854e1f51347800600c97bf840bf97ba.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Maxime Devos <maximedevos@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Fri, 10 Sep 2021 12:25:30 +0200
In-Reply-To: <e7485e6dbbafc68831f37ebd09062f85fd734896.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
 <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
 <f43eb8064e9e5e06c29a87194faaf7e787ee9721.camel@HIDDEN>
 <e7485e6dbbafc68831f37ebd09062f85fd734896.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-O3Mr+bjD+sINfHtWWdML"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1631269541; bh=aZVLV084YL1xFCB0CiTtLJISaPVO2x6tko5KgvSS+Rg=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=aKcvRsS5GApGxoA3rIkiQzdBn97+3RlWv2F1xjZ+h6bUzsc0SK7h19n9PwYj2uYwC
 TfaD7GQv/sl2l0noilN/z2aWvqX7bFYPRORIlI6CS5vJ8sGYlWMmBtthg9Nfi44451
 9dqqV/4rym3ts5+EnP6zknfKox22ZV86T17GLxx/0iPPSMp5LwXmjS1g6IAfyBYP+F
 xmf5C68mSc/lURP4IDln/t4SXMEjpJlqxwmfdFgV0bO63xF8Y3jA/QF21OmQZXMct4
 97Sbiy4SS+8A9zSPya0uBiB1IzOfesKgCg9kuVa8jev330bTavSzFOn/BSNTXqUrfR
 Yq+7d/8op0JSQ==
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Presuming minetest-advtrains and minetest-basic-trains
    build and actually work, this largely LGTM. I looked at the source code of
    advtrains and basic_trains and didn't find anything ‘suspicious’ ( [...]
    
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [195.130.132.53 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [195.130.132.53 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maximedevos[at]telenet.be)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: git.bananach.space (space)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


--=-O3Mr+bjD+sINfHtWWdML
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,

Presuming minetest-advtrains and minetest-basic-trains build and actually
work, this largely LGTM.  I looked at the source code of advtrains and basi=
c_trains
and didn't find anything =E2=80=98suspicious=E2=80=99 (e.g. malware, though=
 mods are sandboxed
so they would have a hard time doing anything bad).=20

minetest-advtrains and minetest-basic-trains are separate packages that
can be added separately, so theoretically, they should be added in separate
patches:

=46rom (guix)Submitting Patches:
  11. Verify that your patch contains only one set of related changes.
     Bundling unrelated changes together makes reviewing harder and
     slower.

(minetest-advtrains seems rather useless without minetest-basic-trains thou=
gh,
so maybe it's ok?)

Vivien Kraus schreef op di 07-09-2021 om 12:45 [+0200]:
> +(define-public minetest-advtrains
> +  (package
> +    (name "minetest-advtrains")
> +    (version "2.3.1")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://git.bananach.space/advtrains.git")
> +             (commit "release-2.3.1")))
> +       (sha256
> +        (base32 "1ijqlchh269jpvmgmdmdvy3nsnk0bszkvvcqk6vaysvxam695ggw"))
> +       (file-name (git-file-name name version))))
> +    (build-system minetest-mod-build-system)
> +    (home-page "http://advtrains.de/")
> +    (synopsis
> +     "Adds good-looking, realistic trains with realistic rails.")
> +    (description
> +     "This mod features realistic trains and various equipment for railw=
ays, with a focus on automated train operation.

Aren't the actual trains added with minetest-basic-trains?
Maybe replace =E2=80=98realistic trains=E2=80=99 -> =E2=80=98realistic trai=
n system=E2=80=99,
and note that minetest-basic-trains contains the actual train models.

I think a linter will have something to say about long lines here
(try "./pre-inst-env guix lint minetest-advtrains minetest-basic-trains").

> +
> +Main features:
> +
> +@itemize
> +@item
> +almost-realistic tracks with actual curves and switches;
> +@item
> +railway signals, controllable by various means;
> +@item
> +ATC: simple, command-like automatic train control;
> +@item
> +LuaATC: Powerful Lua-scripted automatic train operation (requires some p=
rogramming knowledge);
> +@item
> +an interlocking system, featuring track sections, routes and automatic s=
topping before signals.
> +@end itemize")

Greetings,
Maxime.

--=-O3Mr+bjD+sINfHtWWdML
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYTsymhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7mXaAP9qQDgfB7SAjrbIaTK/91EUT0wc
S5ORvp0NR66n0CAmNwD8CkCWqnNHV5oe33T0VOqBreKc/hNLxpgXuieFainPUQI=
=U2os
-----END PGP SIGNATURE-----

--=-O3Mr+bjD+sINfHtWWdML--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 7 Sep 2021 10:45:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 06:45:15 2021
Received: from localhost ([127.0.0.1]:55466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNYbL-0005N8-CJ
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 06:45:15 -0400
Received: from planete-kraus.eu ([89.234.140.182]:47762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1mNYbI-0005Mx-Oz
 for 50425 <at> debbugs.gnu.org; Tue, 07 Sep 2021 06:45:14 -0400
Received: from planete-kraus.eu (localhost.lan [127.0.0.1])
 by planete-kraus.eu (OpenSMTPD) with ESMTP id 8f374fc7;
 Tue, 7 Sep 2021 10:45:09 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=planete-kraus.eu; h=
 message-id:subject:from:to:date:in-reply-to:references
 :content-type:mime-version; s=*; bh=YXwgC5qFqOELqF2ARqjBc5ceeMU=; b=
 ahrYPUPoRX2TWpgMkY6vRQd7DZYbwQ14QFnAFXyNquoT0LnTDmDPArM9VHgDDMtc
 OVBwH9OwpAzdxUmoYUB2FfojxtFblHzvzAO/5G0TWPYQxo4FF4IYiIk9ZY2nc2j9
 P4Rm5FZBX5nK7xQJcnmTLwqc8iejHNinPN3ZrrsnLHQ=
Received: by planete-kraus.eu (OpenSMTPD) with ESMTPSA id a8d1d29d
 (TLSv1.3:AEAD-CHACHA20-POLY1305-SHA256:256:NO); 
 Tue, 7 Sep 2021 10:45:07 +0000 (UTC)
Message-ID: <e7485e6dbbafc68831f37ebd09062f85fd734896.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Vivien Kraus <vivien@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Tue, 07 Sep 2021 12:45:05 +0200
In-Reply-To: <f43eb8064e9e5e06c29a87194faaf7e787ee9721.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
 <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
 <f43eb8064e9e5e06c29a87194faaf7e787ee9721.camel@HIDDEN>
Content-Type: multipart/mixed; boundary="=-ma7bkiiwYH5LPE13uU+o"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Maxime, Le mardi 07 septembre 2021 à 12:20 +0200, Maxime
    Devos a écrit : > The indentation from "./etc/indent-code.el" should be
   good. Feel > free > to precedede the ‘gnu: Add minetest-advtrains’ patch
    [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: git.bananach.space (space)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-ma7bkiiwYH5LPE13uU+o
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Hello Maxime,

Le mardi 07 septembre 2021 à 12:20 +0200, Maxime Devos a écrit :
> The indentation from "./etc/indent-code.el" should be good.  Feel
> free
> to precedede the ‘gnu: Add minetest-advtrains’ patch with a patch
> fixing
> the indentation.

Since the indentation only changed for 2 packages, I made 2 commits,
one for each package. This amounts to 3 commits (they should commute):
1. Fix indentation for minetest-data;
2. Fix indentation for minetest-mesecons;
3. Add minetest-advtrains.

Vivien

--=-ma7bkiiwYH5LPE13uU+o
Content-Disposition: attachment; filename="0003-gnu-add-minetest-advtrains.patch"
Content-Type: text/x-patch; name="0003-gnu-add-minetest-advtrains.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-ma7bkiiwYH5LPE13uU+o
Content-Disposition: attachment; filename="0002-gnu-minetest-mesecons-Fix-indentation.patch"
Content-Type: text/x-patch; name="0002-gnu-minetest-mesecons-Fix-indentation.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-ma7bkiiwYH5LPE13uU+o
Content-Disposition: attachment; filename="0001-gnu-minetest-data-Fix-indentation.patch"
Content-Type: text/x-patch; name="0001-gnu-minetest-data-Fix-indentation.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-ma7bkiiwYH5LPE13uU+o--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 7 Sep 2021 10:21:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 06:21:12 2021
Received: from localhost ([127.0.0.1]:55455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNYE3-0004eF-Nj
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 06:21:11 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:43776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mNYE0-0004e3-UR
 for 50425 <at> debbugs.gnu.org; Tue, 07 Sep 2021 06:21:10 -0400
Received: from butterfly.local ([188.188.3.227])
 by xavier.telenet-ops.be with bizsmtp
 id qyM22500c4tskic01yM5ZN; Tue, 07 Sep 2021 12:21:07 +0200
Message-ID: <f43eb8064e9e5e06c29a87194faaf7e787ee9721.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Maxime Devos <maximedevos@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Tue, 07 Sep 2021 12:20:58 +0200
In-Reply-To: <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
 <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-mkq9wkW/Sy38ABT/5q7J"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1631010067; bh=BpIZqCpjc1xB90yUDMEnaWZ2G4p0Sgm4JJuo3YlOF2g=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=mnlC0yQJFIr5GlAjdQqIQe9wrE37KwmMVZ+uXnCmv9fSuJOiEcwS4sLULcdPmI4aq
 RWYuAytPtGgiQgwPpRT4LE28IfdlYhFoL9PPHvrGrXjIDKdOHWKCrmygXPOyNVVLOb
 /fBSrI6ksVIcoo0JRvyveoEpDUIrZ7/sOFbn4lFptKFcNHBbCS5UmIeBfbHHTwMvju
 cW6YwRNz4avPExa+vbNP6ZmBQ8cwPzjR9A/YPwvEucdfcT4qGNYemrtRyaj4bcbR39
 L3wUcTdSYwguIRi+nbwyR53cC8Y2D0xpL5yaUSkQguwCd5D9w4FYLXoZPMXilrobfj
 db5KfLesuFoIg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-mkq9wkW/Sy38ABT/5q7J
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Vivien Kraus schreef op ma 06-09-2021 om 13:56 [+0200]:
> Hello Maxime,
>=20
> Le lundi 06 septembre 2021 =C3=A0 13:17 +0200, Maxime Devos a =C3=A9crit =
:
> > Did the minetest importer work well for you?
> I noticed 3 minor things:
> 1. The advtrain dependency on basic-trains was duplicated, I had to
> remove one occurence;

I can reproduce this with =E2=80=98guix import minetest --recursive orwell/=
basic_trains=E2=80=99.
Presumably the issue is that advtrains is listed twice in the dependencies
on ContentDB, as =E2=80=98advtrains=E2=80=99 and =E2=80=98advtrains_train_t=
rack=E2=80=99.  I'll send a patch
to remove duplicates.

> 2. The version number came prefixed with a "v" that I had to remove;

The importer uses the =E2=80=98release title=E2=80=99 as version number.  A=
pparently
the release titles for orwell/advtrains include a "v" prefix.  I'll
send a patch to remove the prefix.

> 3. It was not able to get the commit ID and the hash for minetest-
> advtrains, I had to fill it in myself (it was set to #f). Presumably
> because of the exotic tag name.

FWIW, the minetest importer doesn't look at git tag names, it just copies
the commit from ContentDB.  And in case of advtrains, the commit is
not available there, so the importer sets it to #false.
<https://content.minetest.net/api/packages/orwell/advtrains/releases/>.

> [...]
>=20
> Also, when I run ./etc/indent-code.el gnu/packages/minetest, there are
> some re-indentations that happen for othe minetest packages. Thus, I=E2=
=80=99m
> not sure what indentation and general style I should adopt. Hopefully
> this problem will be fixed by guix style :)

The indentation from "./etc/indent-code.el" should be good.  Feel free
to precedede the =E2=80=98gnu: Add minetest-advtrains=E2=80=99 patch with a=
 patch fixing
the indentation.

Greetings,
Maime.

--=-mkq9wkW/Sy38ABT/5q7J
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYTc9ChccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7mc6AP9PWWXF38dKNjLmkU5p8jfj0lbt
cgH/8bVl1QgCCXxcCAD+KcUdUg+A6AgweGaHeK3a/8Msl7QiZNldgbgHWDwHowc=
=shVi
-----END PGP SIGNATURE-----

--=-mkq9wkW/Sy38ABT/5q7J--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 6 Sep 2021 11:57:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 07:57:02 2021
Received: from localhost ([127.0.0.1]:52235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNDFG-00050f-4V
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:57:02 -0400
Received: from planete-kraus.eu ([89.234.140.182]:47760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1mNDFE-00050M-EY
 for 50425 <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:57:01 -0400
Received: from planete-kraus.eu (localhost.lan [127.0.0.1])
 by planete-kraus.eu (OpenSMTPD) with ESMTP id 95959bb0;
 Mon, 6 Sep 2021 11:56:57 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=planete-kraus.eu; h=
 message-id:subject:from:to:date:in-reply-to:references
 :content-type:mime-version; s=*; bh=ptaXNzTiQq14yd6Y7qaslkqPmiM=; b=
 a4Fg6/QWAUzsT1kIcTUzAj7aXkWDCzJlgl+lxl88KXosIsbEwsI+Y5+ItiVwB4Ev
 tTX7RRW9uR1qpB2i+EsZ66imtIHIuKBQTUAojr6eVmt4G5mNiZdWfSmW63yYnScI
 NxcD6RSF0w+pImHpYcIcLVx1QnmkPfpgC4YAitok+W0=
Received: by planete-kraus.eu (OpenSMTPD) with ESMTPSA id 8a27dba3
 (TLSv1.3:AEAD-CHACHA20-POLY1305-SHA256:256:NO); 
 Mon, 6 Sep 2021 11:56:55 +0000 (UTC)
Message-ID: <b4c0387688c3197484f96ea46f2c800b64b77faf.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Vivien Kraus <vivien@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Mon, 06 Sep 2021 13:56:54 +0200
In-Reply-To: <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
Content-Type: multipart/mixed; boundary="=-9Gud2feM1kF/CLCvfCJ9"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Maxime, Le lundi 06 septembre 2021 à 13:17 +0200, Maxime
    Devos a écrit : > Did the minetest importer work well for you? I noticed
    3 minor things: 1. The advtrain dependency on basic-trains was duplicated,
    I [...] 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: git.bananach.space (space)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-9Gud2feM1kF/CLCvfCJ9
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Hello Maxime,

Le lundi 06 septembre 2021 à 13:17 +0200, Maxime Devos a écrit :
> Did the minetest importer work well for you?
I noticed 3 minor things:
1. The advtrain dependency on basic-trains was duplicated, I had to
remove one occurence;
2. The version number came prefixed with a "v" that I had to remove;
3. It was not able to get the commit ID and the hash for minetest-
advtrains, I had to fill it in myself (it was set to #f). Presumably
because of the exotic tag name.

That’s not counting the markdown and license issues, these are out of
scope indeed.

> Package descriptions are in texinfo, not markdown.  You'll need
> to make the necessary adjustments.
I updated the patch to account for an @itemize instead of dash
enumerations, I think it was the only thing missing.

> According to 
> http://git.bananach.space/basic_trains.git/tree/license.txt,
> it's agpl3+ actually.

You’re right, advtrains too: 
https://git.bananach.space/advtrains.git/tree/license.txt
I updated the patch.

Also, when I run ./etc/indent-code.el gnu/packages/minetest, there are
some re-indentations that happen for othe minetest packages. Thus, I’m
not sure what indentation and general style I should adopt. Hopefully
this problem will be fixed by guix style :)

Vivien



--=-9Gud2feM1kF/CLCvfCJ9
Content-Disposition: attachment; filename="0001-gnu-add-minetest-advtrains.patch"
Content-Type: text/x-patch; name="0001-gnu-add-minetest-advtrains.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-9Gud2feM1kF/CLCvfCJ9--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 6 Sep 2021 11:17:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 07:17:31 2021
Received: from localhost ([127.0.0.1]:52154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNCd1-0001iJ-HU
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:17:31 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:53374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mNCcz-0001fh-1P
 for 50425 <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:17:29 -0400
Received: from butterfly.local ([188.188.57.172])
 by albert.telenet-ops.be with bizsmtp
 id qbHS2500L3ix9AL06bHTVb; Mon, 06 Sep 2021 13:17:27 +0200
Message-ID: <031b52f03cac2218f9250882e5b8d3fe56cc7f49.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Maxime Devos <maximedevos@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Mon, 06 Sep 2021 13:17:20 +0200
In-Reply-To: <87a6kqm6f3.fsf@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-bywyRuX/eCqh+Z6tscWV"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630927047; bh=BKFD4monmUSoX2eKYVvoMYIA9MrtP3Tr0ZpjRTE8WEs=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=iTtyz38gJP/aQjV/GV18tgjtzO8nlEtsuAs8LasTfcmGO0j8S1vqWj8sg1ibHcSZz
 CsyapijgFS8iB4YYAB/4wDf8LrisS90PmNdG8fVaMmyqj5RKcOGBT6+Jthds5MpGl4
 4oR/Tq2t9kqVOY3zfyoBb3DwAP8MWPKMbKOwopjvnOfzN/G0q5zpvGf1ST0daN4+jz
 B9ZIK8zSSqCqWC7Gx+cXAvoNvJEblDq9zqZYQ4v7r4mNKj4SvESxuuXTKaHLAMJw7s
 UfkZ2msNoGBwo5NB7XWUFZefpDbSecOqYsKHK5jkxPh3Os661J7198Zy5eYx6VS9NH
 6+anruyr/z8Tg==
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Vivien Kraus via Guix-patches via schreef op ma 06-09-2021
    om 10:53 [+0200]: > Guix, > > I’d like to have the advtrains minetest mod
    in Guix, what do you think? Did the minetest importer work well for you? 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [195.130.137.90 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (maximedevos[at]telenet.be)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: git.bananach.space (space)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)


--=-bywyRuX/eCqh+Z6tscWV
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Vivien Kraus via Guix-patches via schreef op ma 06-09-2021 om 10:53 [+0200]=
:
> Guix,
>=20
> I=E2=80=99d like to have the advtrains minetest mod in Guix, what do you =
think?

Did the minetest importer work well for you?

> +- Almost-realistic tracks with actual curves and switches
> +- Railway signals, controllable by various means
> +- ATC: Simple, command-like automatic train control
> +- LuaATC: Powerful Lua-scripted automatic train operation(requires some =
programming knowledge)*

Package descriptions are in texinfo, not markdown.  You'll need
to make the necessary adjustments.  Being proper Texinfo is necessary
for things like <https://guix.gnu.org/en/packages/minetest-mesecons-1.2.1-0=
.db58797/>.

(It would be nice if guix could automatically convert the markup ...)

> +    (license
> +     (list license:cc-by-sa3.0 license:agpl3))

According to http://git.bananach.space/basic_trains.git/tree/license.txt,
it's agpl3+ actually.  I now that the ContentDB page (and hence, the import=
er)
says it's AGPL-3.0-only, but ContentDB only very recently distinguishes bet=
ween
AGPL-3.0-only and AGPL-3.0-or-later.  I sent a bug report upstream.

Greetings,
Maxime.

--=-bywyRuX/eCqh+Z6tscWV
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYTX4wBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7tvGAQCZZKk4a5aH1ilpnBM11dtqexeg
09HqDF9D1FUmSS7JAwD/Wtd1KE8+ue/++MGIkgh3S+SFZSOloi/cDxoi/NOUnwI=
=WzUH
-----END PGP SIGNATURE-----

--=-bywyRuX/eCqh+Z6tscWV--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 6 Sep 2021 11:04:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 07:04:10 2021
Received: from localhost ([127.0.0.1]:52140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNCQ6-0007nz-LP
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:04:10 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:35336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mNCQ4-0007nq-9O
 for 50425 <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:04:08 -0400
Received: from butterfly.local ([188.188.57.172])
 by laurent.telenet-ops.be with bizsmtp
 id qb46250073ix9AL01b46Zs; Mon, 06 Sep 2021 13:04:07 +0200
Message-ID: <682dea6d53dd6435db1ab060ae0c5fdabda19750.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Maxime Devos <maximedevos@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Mon, 06 Sep 2021 13:03:56 +0200
In-Reply-To: <720fc481c64b06abd22b9b3004488052efcb48dc.camel@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
 <720fc481c64b06abd22b9b3004488052efcb48dc.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-2WbN6wXiJxNlr6bhoY2O"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630926247; bh=/zTlfd8k6/gVS27sNbAzYKoAjbs+OtoKWlQuwv47P6g=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=OkRoMFOw4JwYyOUjRQ8DSPwGuPEXM1Uo6vyC5QTkawKq2DScGuWIJNk3XdvZ3v92M
 DvSy/JiZjSGvacx4KBptCz1W9cOsQWPff5OExa15t/ROJDDOrXHKq8S5ikiN2iCVBh
 mLJNqhplrleMsZh9iBOCnBHVPbWLbVPHS2upV6ChvfjD3DxaY0xnBNuEHrbx8ya+jP
 gI3k7CCZXtyLNL49XmrWhvuKN1IxUILt1JZJywcB6CpYiv/1L5J9Uh+JBDRW8Jowtn
 wG/GaTeoFuKeHuppVTxZ3xsvP8NkIxjZ2ZJo9cZjgqNqnA+435u8RXg0K1B1YbYKZG
 4DqYv9J5NGRUg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-2WbN6wXiJxNlr6bhoY2O
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Maxime Devos schreef op ma 06-09-2021 om 13:02 [+0200]:
>=20

Please ignore, I accidentally pushed 'Sent' before writing
anything.

--=-2WbN6wXiJxNlr6bhoY2O
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYTX1nBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7r/MAP0Upke1pfH02qkUtcBJnXPKl5rm
iGDVJYSDxxZaBgfSAwD+JRePi4gOWLFHY1pXDGhGJNwayrP5oUdMQTXl5VllkAU=
=M3TM
-----END PGP SIGNATURE-----

--=-2WbN6wXiJxNlr6bhoY2O--





Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at 50425 <at> debbugs.gnu.org:


Received: (at 50425) by debbugs.gnu.org; 6 Sep 2021 11:02:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 07:02:56 2021
Received: from localhost ([127.0.0.1]:52135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNCOu-0007ll-Df
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:02:56 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:57540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mNCOr-0007lb-R9
 for 50425 <at> debbugs.gnu.org; Mon, 06 Sep 2021 07:02:54 -0400
Received: from butterfly.local ([188.188.57.172])
 by albert.telenet-ops.be with bizsmtp
 id qb2r250013ix9AL06b2rG8; Mon, 06 Sep 2021 13:02:52 +0200
Message-ID: <720fc481c64b06abd22b9b3004488052efcb48dc.camel@HIDDEN>
Subject: Re: [bug#50425] [PATCH] gnu: Add minetest-advtrains.
From: Maxime Devos <maximedevos@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>, 50425 <at> debbugs.gnu.org
Date: Mon, 06 Sep 2021 13:02:50 +0200
In-Reply-To: <87a6kqm6f3.fsf@HIDDEN>
References: <87a6kqm6f3.fsf@HIDDEN>
Content-Type: text/plain
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: base64
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1630926172; bh=X/K3KfbWPS2oDwjHExIxTuqfk9cHJrKqTfJShJLdIMs=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=NU7/TWZaln5hI6mevumtAYfY6H/aO7CDKomvLRyW3g/VzlGcjODq67SLqI9LcZG5K
 OYDm0DYkvCU9aH1Hc8TOjApnGJTAUOXLmkuuhJuiHWpi/WCtZJwSBBsThgk8VGsl1z
 xFo55JugKMw3srTEJkEl6LX4/z/ROmrJ/rmtGNJ3JsP8nUNDS0/frXhAVwYW6jTeL0
 padmCML4KefxtOlTIWmF8QWTMLuYA9gAvk+xALwNOrWFmojIsbEEuVTH9BdN59JC/b
 /cFhn0iIy+GJrAYubin2thMXLilzZzjQnT8caMyfp48MMPEDwO1vOrFMcXrXoMZJws
 IXpDLVidVQ6ZQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50425
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Cg0K






Information forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Sep 2021 08:53:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 04:53:41 2021
Received: from localhost ([127.0.0.1]:51729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNANo-0005Z1-Mq
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 04:53:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:53674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1mNANm-0005Yt-Fp
 for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 04:53:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53170)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vivien@HIDDEN>)
 id 1mNANm-0004fR-1j
 for guix-patches@HIDDEN; Mon, 06 Sep 2021 04:53:38 -0400
Received: from planete-kraus.eu ([2a00:5881:4008:2810::309]:42676)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <vivien@HIDDEN>)
 id 1mNANj-0004HU-AD
 for guix-patches@HIDDEN; Mon, 06 Sep 2021 04:53:37 -0400
Received: from planete-kraus.eu (localhost.lan [127.0.0.1])
 by planete-kraus.eu (OpenSMTPD) with ESMTP id e828ef6e
 for <guix-patches@HIDDEN>; Mon, 6 Sep 2021 08:53:23 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=planete-kraus.eu; h=from
 :to:subject:date:message-id:mime-version:content-type; s=*; bh=F
 CmE5lltt4nQp09aGASlNK5FdbY=; b=dKIyY+omJtr6ZNYb5EjWUwG/chvWGz5uq
 5+KBI+IQZWU245E7HMSBs4+q47BFpOpvon0F1GXBy0EaVDwGjQTPEpid8fnvDt7M
 2DMvYQZeTeuBPsEQs+wbLmuQ7kNm9JlscJoFLUeeCOywK5E+lIW2pGddLT4aaYo3
 DoKom/k4FA=
Received: by planete-kraus.eu (OpenSMTPD) with ESMTPSA id 362341c3
 (TLSv1.3:AEAD-CHACHA20-POLY1305-SHA256:256:NO)
 for <guix-patches@HIDDEN>; Mon, 6 Sep 2021 08:53:20 +0000 (UTC)
From: Vivien Kraus <vivien@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add minetest-advtrains.
Date: Mon, 06 Sep 2021 10:53:20 +0200
Message-ID: <87a6kqm6f3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:5881:4008:2810::309;
 envelope-from=vivien@HIDDEN; helo=planete-kraus.eu
X-Spam_score_int: 3
X-Spam_score: 0.3
X-Spam_bar: /
X-Spam_report: (0.3 / 5.0 requ) BAYES_00=-1.9, DKIM_INVALID=0.1,
 DKIM_SIGNED=0.1, PDS_OTHER_BAD_TLD=1.999, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Dear Guix,

I=E2=80=99d like to have the advtrains minetest mod in Guix, what do you th=
ink?

Best regards,

Vivien


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-add-minetest-advtrains.patch

From 2a0abac482a9a40a1263419766d23a169ec61e89 Mon Sep 17 00:00:00 2001
From: Vivien Kraus <vivien@HIDDEN>
Date: Sun, 5 Sep 2021 15:21:35 +0200
Subject: [PATCH] gnu: add minetest-advtrains

* gnu/packages/minetest.scm (minetest-advtrains): New variable.
* gnu/packages/minetest.scm (minetest-basic-trains): New variable.
---
 gnu/packages/minetest.scm | 61 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

diff --git a/gnu/packages/minetest.scm b/gnu/packages/minetest.scm
index 5453f4d16a..13ea6036f5 100644
--- a/gnu/packages/minetest.scm
+++ b/gnu/packages/minetest.scm
@@ -624,3 +624,64 @@ track of important locations.")
                    license:cc-by4.0 license:cc-by-sa3.0 license:public-domain
                    license:cc0 license:fdl1.2+))
     (properties `((upstream-name . "RealBadAngel/unified_inventory")))))
+
+(define-public minetest-advtrains
+  (package
+    (name "minetest-advtrains")
+    (version "2.3.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://git.bananach.space/advtrains.git")
+             (commit "release-2.3.1")))
+       (sha256
+        (base32 "1ijqlchh269jpvmgmdmdvy3nsnk0bszkvvcqk6vaysvxam695ggw"))
+       (file-name (git-file-name name version))))
+    (build-system minetest-mod-build-system)
+    (home-page "http://advtrains.de/")
+    (synopsis
+     "Adds good-looking, realistic trains with realistic rails.")
+    (description
+     "This mod features realistic trains and various equipment for railways, with a focus on automated train operation.
+
+Main features:
+
+- Almost-realistic tracks with actual curves and switches
+- Railway signals, controllable by various means
+- ATC: Simple, command-like automatic train control
+- LuaATC: Powerful Lua-scripted automatic train operation(requires some programming knowledge)*
+- An Interlocking system, featuring track sections, routes and automatic stopping before signals")
+    (license
+     (list license:cc-by-sa3.0 license:agpl3))
+    (properties
+     `((upstream-name . "orwell/advtrains")))))
+
+(define-public minetest-basic-trains
+  (package
+    (name "minetest-basic-trains")
+    (version "1.0.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "http://git.bananach.space/basic_trains.git/")
+             (commit
+              "d44c410f7c2a7202ee68b66fc50febae89e0c5dc")))
+       (sha256
+        (base32
+         "0vvzndj48kgdz2bfgivfm217sbmc2lmxpp2mispcy7byn4i26prx"))
+       (file-name (git-file-name name version))))
+    (build-system minetest-mod-build-system)
+    (propagated-inputs
+     `(("minetest-advtrains" ,minetest-advtrains)))
+    (home-page
+     "http://advtrains.de/wiki/doku.php?id=usage:trains:basic_trains")
+    (synopsis
+     "Collection of basic trains for the Advanced Trains mod. Formerly included in main advtrains modpack (until 2.3.0)")
+    (description
+     "This modpack contains the trains which were the \"default\" trains in advtrains up to version 2.2.1.")
+    (license
+     (list license:cc-by-sa3.0 license:agpl3))
+    (properties
+     `((upstream-name . "orwell/basic_trains")))))
-- 
2.33.0


--=-=-=--




Acknowledgement sent to Vivien Kraus <vivien@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50425; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 16 Sep 2021 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.